| Home | Libraries | People | FAQ | More

## Function template none_of

boost::algorithm::none_of

## Synopsis

    // In header: <boost/algorithm/cxx11/none_of.hpp>

    template<typename Range, typename Predicate>
      bool none_of(const Range & r, Predicate p);

## Description

| Note
returns true on an empty range

Parameters:

`p` | A predicate for testing the elements of the range
`r` | The input range

Returns: | true if none of the elements in the range satisfy the predicate 'p'